gr::radar::split_fsk_cc_impl Class Reference

`#include <split_fsk_cc_impl.h>`

Inheritance diagram for gr::radar::split_fsk_cc_impl:

## Public Member Functions

| split_fsk_cc_impl (int samp_per_freq, int samp_discard, const std::string &len_key)
| ~split_fsk_cc_impl ()
int | work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Public Attributes

int | d_samp_per_freq
int | d_samp_discard
int | d_nblocks
std::vector< tag_t > | d_tags

## Protected Member Functions

int | calculate_output_stream_length (const gr_vector_int &ninput_items)

## Additional Inherited Members

Public Types inherited from gr::radar::split_fsk_cc
typedef std::shared_ptr< split_fsk_cc > | sptr
Static Public Member Functions inherited from gr::radar::split_fsk_cc
static sptr | make (int samp_per_freq, int samp_discard, const std::string &len_key="packet_len")
| Return a shared_ptr to a new instance of radar::split_fsk_cc.

## Constructor & Destructor Documentation

## split_fsk_cc_impl()

gr::radar::split_fsk_cc_impl::split_fsk_cc_impl | ( | int | samp_per_freq,
|  | int | samp_discard,
|  | const std::string & | len_key )

## ~split_fsk_cc_impl()

gr::radar::split_fsk_cc_impl::~split_fsk_cc_impl | ( |  | ) |

## Member Function Documentation

## calculate_output_stream_length()

int gr::radar::split_fsk_cc_impl::calculate_output_stream_length | ( | const gr_vector_int & | ninput_items | ) |

protected

## work()

int gr::radar::split_fsk_cc_impl::work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Member Data Documentation

## d_nblocks

int gr::radar::split_fsk_cc_impl::d_nblocks

## d_samp_discard

int gr::radar::split_fsk_cc_impl::d_samp_discard

## d_samp_per_freq

int gr::radar::split_fsk_cc_impl::d_samp_per_freq

## d_tags

std::vector<tag_t> gr::radar::split_fsk_cc_impl::d_tags

The documentation for this class was generated from the following file:

- split_fsk_cc_impl.h